# there are no binaries for -debuginfo in this package
%define debug_package %{nil}

Name:           seabios
Version:        0.6.1.2
%define pkgrelease 3
Release:        %{pkgrelease}%{?dist}
Summary:        Open-source legacy BIOS implementation

Group:          Applications/Emulators
License:        LGPLv3
URL:            http://www.coreboot.org/SeaBIOS
# Source0:        http://linuxtogo.org/~kevin/SeaBIOS/%{name}-%{version}.tar.gz
# The source for this package was pulled from upstream's git.  Use the
# following commands to generate the tarball:
# git archive --format=tar --prefix=seabios-0.5.1/ 669c991 | gzip > seabios-0.5.1-669c991.tar.gz
Source0:        http://www.linuxtogo.org/~kevin/SeaBIOS/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: iasl
ExclusiveArch: x86_64

Patch1: seabios-1-Set-CONFIG_S3_RESUME_VGA_INIT-to-1.patch
Patch2: seabios-2-do-not-advertise-hpet-to-a-guest-OS.patch
Patch3: seabios-3-smbios-allow-vendor-manufacturer-version-product-nam.patch
Patch4: seabios-4-smbios-set-bios-vendor-version-fields-to-Seabios-0.5.patch
Patch5: seabios-5-smbios-set-system-manufacturer-product-name-to-Red-H.patch
Patch6: seabios-6-smbios-set-Type-3-chassis-manufacturer-information-t.patch
Patch7: seabios-7-fix-resume-from-S3-with-QXL-device.patch
Patch8: seabios-8-remove-acpi-dsdt.hex-file-from-source-tree.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch9: seabios-Create-separate-IPL-entry-for-each-CD-DVD-qemu-in-se.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch10: seabios-Provide-full-EDD-3.0-info-for-virtio-disk.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch11: seabios-Add-romfile_name-function.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch12: seabios-Add-strchr-function.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch13: seabios-Read-bootorder-file-into-memory.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch14: seabios-Add-romfile_loadfile-helper-function.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch15: seabios-Breakup-boot_setup-bootorder-code-into-its-own-funct.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch16: seabios-Support-qemu-based-romfile-wrappers-called-out-of-or.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch17: seabios-Track-the-source-of-each-optionrom-deployed.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch18: seabios-Populate-drive_g-desc-prior-to-calling-add_bcv_inter.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch19: seabios-Simplify-boot-ordering-by-building-an-inclusive-boot.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch20: seabios-Add-stubs-to-permit-devices-to-specify-their-boot-pr.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch21: seabios-Rename-add_ordered_drive-to-add_drive-and-use-in-map.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch22: seabios-Call-setup_translation-from-map_hd_drive.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch23: seabios-Simplify-keyboard-reading-code-in-the-interactive-bo.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch24: seabios-Don-t-access-drive_g-desc-from-boot_cdrom.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch25: seabios-Remove-Drives-global-struct-in-favor-of-independent-.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch26: seabios-Move-IPL.checkfloppysig-to-a-global-CheckFloppySig-i.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch27: seabios-Move-IPL.bev-to-static-variables-in-boot.c.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch28: seabios-Move-IPL.fw_bootorder-to-static-variables-in-boot.c.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch29: seabios-Minor-reorganization-of-some-of-the-boot_xxx-code-in.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch30: seabios-Remove-drive-desc-field.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch31: seabios-Use-bootprio_find_named_rom-for-ramdisk-and-cbfs-pay.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch32: seabios-Add-functions-for-boot-device-path-parsing.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch33: seabios-Extend-usb_pipe-to-track-the-controller-and-ports-of.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch34: seabios-Add-support-for-finding-the-boot-priority-of-USB-dri.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch35: seabios-re-nitialize-global-variables-on-reboot.patch
# For bz#643688 - Allow to specify boot order on qemu command line.
Patch36: seabios-Initialize-FloppyCount-and-CDCount-on-reboot.patch
# For bz#671544 - seabios: Too many devices are available for unplug in Windows XP (and we don't support that)
Patch37: seabios-acpi-add-_RMV-control-method-for-PCI-devices.patch
# For bz#673751 - Provide EDD3.0 info in accordance with T13 spec.
Patch38: seabios-support-T13-EDD3.0-spec.patch
# For bz#663240 - [WHQL] pwrtest failed in the job "CHAOS-Concurrent Hardware And OS test"
Patch39: seabios-lets-pretend-that-RTC-can-be-used-to-wakeup-from-S4.patch

%description
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seabios
install -m 0644 out/bios.bin $RPM_BUILD_ROOT%{_datadir}/seabios


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/seabios/
%doc COPYING COPYING.LESSER README TODO
%{_datadir}/seabios/bios.bin



%changelog
* Thu Feb 03 2011 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.6.1.2-3.el6
- seabios-support-T13-EDD3.0-spec.patch [bz#673751]
- seabios-lets-pretend-that-RTC-can-be-used-to-wakeup-from-S4.patch [bz#663240]
- Resolves: bz#663240
  ([WHQL] pwrtest failed in the job "CHAOS-Concurrent Hardware And OS test")
- Resolves: bz#673751
  (Provide EDD3.0 info in accordance with T13 spec.)

* Thu Jan 27 2011 Luiz Capitulino <lcapitulino@redhat.com> - seabios-0.6.1.2-2.el6
- seabios-Create-separate-IPL-entry-for-each-CD-DVD-qemu-in-se.patch [bz#643688]
- seabios-Provide-full-EDD-3.0-info-for-virtio-disk.patch [bz#643688]
- seabios-Add-romfile_name-function.patch [bz#643688]
- seabios-Add-strchr-function.patch [bz#643688]
- seabios-Read-bootorder-file-into-memory.patch [bz#643688]
- seabios-Add-romfile_loadfile-helper-function.patch [bz#643688]
- seabios-Breakup-boot_setup-bootorder-code-into-its-own-funct.patch [bz#643688]
- seabios-Support-qemu-based-romfile-wrappers-called-out-of-or.patch [bz#643688]
- seabios-Track-the-source-of-each-optionrom-deployed.patch [bz#643688]
- seabios-Populate-drive_g-desc-prior-to-calling-add_bcv_inter.patch [bz#643688]
- seabios-Simplify-boot-ordering-by-building-an-inclusive-boot.patch [bz#643688]
- seabios-Add-stubs-to-permit-devices-to-specify-their-boot-pr.patch [bz#643688]
- seabios-Rename-add_ordered_drive-to-add_drive-and-use-in-map.patch [bz#643688]
- seabios-Call-setup_translation-from-map_hd_drive.patch [bz#643688]
- seabios-Simplify-keyboard-reading-code-in-the-interactive-bo.patch [bz#643688]
- seabios-Don-t-access-drive_g-desc-from-boot_cdrom.patch [bz#643688]
- seabios-Remove-Drives-global-struct-in-favor-of-independent-.patch [bz#643688]
- seabios-Move-IPL.checkfloppysig-to-a-global-CheckFloppySig-i.patch [bz#643688]
- seabios-Move-IPL.bev-to-static-variables-in-boot.c.patch [bz#643688]
- seabios-Move-IPL.fw_bootorder-to-static-variables-in-boot.c.patch [bz#643688]
- seabios-Minor-reorganization-of-some-of-the-boot_xxx-code-in.patch [bz#643688]
- seabios-Remove-drive-desc-field.patch [bz#643688]
- seabios-Use-bootprio_find_named_rom-for-ramdisk-and-cbfs-pay.patch [bz#643688]
- seabios-Add-functions-for-boot-device-path-parsing.patch [bz#643688]
- seabios-Extend-usb_pipe-to-track-the-controller-and-ports-of.patch [bz#643688]
- seabios-Add-support-for-finding-the-boot-priority-of-USB-dri.patch [bz#643688]
- seabios-re-nitialize-global-variables-on-reboot.patch [bz#643688]
- seabios-Initialize-FloppyCount-and-CDCount-on-reboot.patch [bz#643688]
- seabios-acpi-add-_RMV-control-method-for-PCI-devices.patch [bz#671544]
- Resolves: bz#643688
  (Allow to specify boot order on qemu command line.)
- Resolves: bz#671544
  (seabios: Too many devices are available for unplug in Windows XP (and we don't support that))

* Tue Jan 11 2011 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.6.1.2-1.el6
- Update to upstream seabios-0.6.1.2 (from git tag rel-0.6.1.2)
- Resolves: bz#666922
  (Rebase seabios to latest upstream version)
- Resolves: bz#668707
  (Guest moved used index from 0 to 580" occur when guest load to grub during reboot)

* Thu Jan 06 2011 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.6.1-1.el6
- Update to upstream seabios-0.6.1
- Resolves: bz#666922
  (Rebase seabios to latest upstream version)

* Wed Aug 18 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-3.el6
- seabios-add-write-support-to-virtio-blk.patch [bz#607500]
- Resolves: bz#607500
  (An unexpected error occurs during winxp installation with virtio disk.)

* Tue Jun 29 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-2.el6
- seabios-Support-USB-keyboard-auto-repeat.patch [bz#561324]
- seabios-Support-USB-interrupt-schedules-on-OHCI-and-UHCI.patch [bz#561324]
- Resolves: bz#561324
  (USB keyboard misbehaves with BIOS driver)

* Mon Jun 28 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-1.el6
- seabios-Update-version-to-0.5.1.patch [bz#606411]
- Resolves: bz#606411
  (Update version info to match upstream 0.5.1)

* Wed Jun 23 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.15.20100108git669c991.el6
- seabios-remove-acpi-dsdt.hex-file-from-source-tree.patch [bz#603677]
- Add BuildRequires: iasl
- Resolves: bz#603677
  (Windows7 hangs during resume from S3 when using QXL device)

* Mon Jun 21 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.14.20100108git669c991.el6
- seabios-fix-resume-from-S3-with-QXL-device.patch [bz#603677]
- Resolves: bz#603677
  (Windows7 hangs during resume from S3 when using QXL device)

* Mon Jun 21 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.13.20100108git669c991.el6
- seabios-smbios-allow-vendor-manufacturer-version-product-nam.patch [bz#593317]
- seabios-smbios-set-bios-vendor-version-fields-to-Seabios-0.5.patch [bz#593317]
- seabios-smbios-set-system-manufacturer-product-name-to-Red-H.patch [bz#593317]
- seabios-smbios-set-Type-3-chassis-manufacturer-information-t.patch [bz#593317]
- Resolves: bz#593317
  (seabios: SMBIOS data is different from that shown in RHEL5, even with -M rhel5.4.0)

* Wed Jun 16 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.12.20100108git669c991.el6
- seabios-do-not-advertise-hpet-to-a-guest-OS.patch [bz#602177]
- Resolves: bz#602177
  (Failed to install rhel3.9-64 guest)

* Wed Jun 09 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.11.20100108git669c991.el6
- seabios-Support-for-booting-from-virtio-disks-reapply.patch [bz#578752]
- seabios-zero-memory-before-use.patch [bz#578752 bz#596881]
- Resolves: bz#578752
  (Need to show "hard disk" menu item when pressing F12 during POST)
- Related: bz#596881
  (Unable to install RHEL virtual machines)

* Wed Jun 02 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.10.20100108git669c991.el6
- seabios-Revert-Support-for-booting-from-virtio-disks.patch [bz#578752 bz#596881]
- Resolves: bz#596881
  (Unable to install RHEL virtual machines)
- Related: bz#578752
  (Need to show "hard disk" menu item when pressing F12 during POST)

* Wed May 19 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.9.20100108git669c991.el6
- seabios-Support-for-booting-from-virtio-disks.patch [bz#578752]
- Resolves: bz#578752
  (Need to show "hard disk" menu item when pressing F12 during POST)

* Mon May 17 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.8.20100108git669c991.el6
- seabios-smbios-avoid-counting-io-hole-as-ram.patch [bz#561290]
- Resolves: bz#561290
  (`dmidecode' shows wrong memory which is assigned to VM.)

* Thu Apr 29 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.7.20100108git669c991.el6
- Disable -debuginfo package generation
- Related: bz#564482
  (empty debuginfo packages)

* Thu Apr 22 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.6.20100108git669c991.el6
- seabios-Set-CONFIG_S3_RESUME_VGA_INIT-to-1.patch [bz#567910]
- Resolves: bz#567910
  (Make seabios configuration parameter CONFIG_S3_RESUME_VGA_INIT default to 1)

* Tue Mar 16 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.5.20100108git669c991.el6
- seabios-Fix-PkgLength-calculation-for-the-SSDT.patch [bz#571553]
- Resolves: bz#571553
  (Backport 0.5.1-stable seabios.git fixes)

* Tue Mar 9 2010 Glauber Costa <glommer@redhat.com> - seabios-0.5.1-0.4.20100108git669c991.el6
- Go back to using 0xf0000000 for PCI memory start
- Resolves: bz#571553
  (Backport 0.5.1-stable seabios.git fixes)

* Wed Jan 13 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.3.20100108git669c991.el6
- Build only on x86_64
- Resolves: bz#554866
  (seabios should not be shipped on i686/ppc64/s390x, only x86_64)

* Tue Jan 12 2010 Eduardo Habkost <ehabkost@redhat.com> - seabios-0.5.1-0.2.20100108git669c991.el6
- Regenerate tarball from git (it contained an extra .pyc file that doesn't belong there)

* Thu Jan 07 2010 Justin M. Forbes <jforbes@redhat.com> 0.5.1-0.1.20100108git669c991
- Created initial package
